<?php
/*
  Plugin Name: Posts Revision Count
  Plugin URI:
  Description: 投稿と固定ページの一覧でリビジョン数を表示する
  Version: 1.0
  Author: sainoa
  License: public domain
*/

if (function_exists('wp_get_latest_revision_id_and_total_count')) {
	function column_revision_title($columns) {
		$columns['revisions'] = "リビジョン数";
		return $columns;
	}
	

	function colmun_revision_count($column_name, $post_id) {
		if ($column_name == 'revisions') {
			// リビジョンデータを取得
			$revisions = wp_get_latest_revision_id_and_total_count();

			// WP_Errorかどうかを確認
			if (is_wp_error($revisions)) {
				// エラーメッセージをログに記録（必要に応じて削除可）
				// error_log('Error retrieving revisions: ' . $revisions->get_error_message());

				// エラー時の代替表示（例: "N/A"）
				echo 'N/A';
				return;
			}

			// 正常な場合のみ、リビジョン数を表示
			if (isset($revisions['count'])) {
				echo esc_html($revisions['count']);
			} else {
				// リビジョン数がない場合の代替表示
				echo '0';
			}
		}
	}
	
	add_filter('manage_posts_columns', 'column_revision_title');
	add_action('manage_posts_custom_column', 'colmun_revision_count', 10, 2);
	
	add_filter('manage_pages_columns', 'column_revision_title');
	add_action('manage_pages_custom_column', 'colmun_revision_count', 10, 2);
}

/* vi: set tabstop=8 shiftwidth=4 encoding=utf-8 */
